libmodplug-devel-0.4.4-1.1.i586.rpm


Advertisement

Description

libmodplug-devel - Development files for libmodplug

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libmodplug-devel-0.4.4-1.1.i586.rpm
Package name libmodplug-devel
Package version 0.4.4
Package release 1.1
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://lib.openmpt.org/libopenmpt/
License BSD-3-Clause
Maintainer -
Download size 30.32 KB
Installed size 41.87 KB
Files needed to program against libmodplug interface.
This version comes from libopenmpt.

Alternatives

Package Version Architecture Repository
libmodplug-devel-0.4.4-45.1.x86_64.rpm 0.4.4 x86_64 Multimedia Libs
libmodplug-devel-0.4.4-45.1.i586.rpm 0.4.4 i586 Multimedia Libs
libmodplug-devel-0.4.4-1.1.x86_64.rpm 0.4.4 x86_64 openSUSE Oss
libmodplug-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libmodplug1 = 0.4.4
pkgconfig(libopenmpt) -

Provides

Name Value
libmodplug-devel = 0.4.4-1.1
libmodplug-devel(x86-32) = 0.4.4-1.1
pkgconfig(libmodplug) = 0.8.8.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libmodplug-devel-0.4.4-1.1.i586.rpm
Source Package libopenmpt-0.4.4-1.1.src.rpm

Install Howto

Install libmodplug-devel rpm package:

# zypper install libmodplug-devel

Files

Path
/usr/include/libmodplug/modplug.h
/usr/include/libmodplug/sndfile.h
/usr/include/libmodplug/stdafx.h
/usr/lib/libmodplug.so
/usr/lib/pkgconfig/libmodplug.pc

Changelog

2019-04-07 - Martin Herkt <9+suse@cirno.systems>
- Update to version 0.4.4:
* [Bug] Channel VU meters were swapped.
* Startrekker: Clamp speed to 31 ticks per row.
* MTM: Ignore unused Exy commands on import.
Command E5x (Set Finetune) is now applied correctly.
* MOD: Sample swapping was always enabled since it has been
separated from the ProTracker 1/2 compatibility flag. Now it is
always enabled for Amiga-style modules and otherwise the old
heuristic is used again.
2019-02-11 - Martin Herkt <9+suse@cirno.systems>
- Update to version 0.4.3:
* [Sec] Possible crash due to null-pointer access when doing a
portamento from an OPL instrument to an empty instrument note
map slot.
* IT: Various fixes for note-off + instrument number in
Old Effects mode.
* MO3: Import IT row highlights as written by MO3 2.4.1.2 or
newer. Required for modules using modern tempo mode.
2019-01-22 - Martin Herkt <9+suse@cirno.systems>
- Update to version 0.4.2:
* [Sec] DSM: Assertion failure during file parsing with debug
STLs.
* [Sec] J2B: Assertion failure during file parsing with debug
STLs.
* S3M: Allow volume change of OPL instruments after Note Cut.
2019-01-06 - Martin Herkt <9+suse@cirno.systems>
- Update to version 0.4.1:
* [Bug] libmodplug: Public symbols of the C++ API had
visibility=hidden set on non-MSVC systems, which made them not
publicly accessible.
* MO3: Apply playback changes based on ?ModPlug-made? header flag
- Drop libmodplug-no-exported-cpp-api-quickfix-v1.patch
2019-01-01 - antoine.belvire@opensuse.org
- Add libmodplug-no-exported-cpp-api-quickfix-v1.patch: Add missing
CSoundFile compat API (bug #1180).

See Also

Package Description
libmodplug1-0.4.4-1.1.i586.rpm Library to operate with module formats
libmodplug1-0.4.4-1.1.x86_64.rpm Library to operate with module formats
libmodplug1-32bit-0.4.4-1.1.x86_64.rpm Library to operate with module formats
libmodsecurity3-3.0.0-2.2.i586.rpm Web application firewall engine
libmodsecurity3-3.0.0-2.2.x86_64.rpm Web application firewall engine
libmodulemd-devel-2.3.0-4.1.i586.rpm Development files for libmodulemd
libmodulemd-devel-2.3.0-4.1.x86_64.rpm Development files for libmodulemd
libmodulemd1-1.8.7-4.1.i586.rpm Main library for libmodulemd 1.x
libmodulemd1-1.8.7-4.1.x86_64.rpm Main library for libmodulemd 1.x
libmodulemd1-devel-1.8.7-4.1.i586.rpm Development files for libmodulemd 1.x
libmodulemd1-devel-1.8.7-4.1.x86_64.rpm Development files for libmodulemd 1.x
libmodulemd2-2.3.0-4.1.i586.rpm Main library for libmodulemd
libmodulemd2-2.3.0-4.1.x86_64.rpm Main library for libmodulemd
libmolsketch-qt5-1-0.5.1-1.5.i586.rpm C++ library for molsketch
libmolsketch-qt5-1-0.5.1-1.5.x86_64.rpm C++ library for molsketch
Advertisement
Advertisement